//-------------------------------------------------------------------------------------------
// Imports
//-------------------------------------------------------------------------------------------

import 'dart:io';
import 'package:modular/src/routers/routers.dart';

//-------------------------------------------------------------------------------------------
// Variables
//-------------------------------------------------------------------------------------------

DefaultRouter defaultRouter = new DefaultRouter();
var httpServerAddress = InternetAddress.LOOPBACK_IP_V4;
int httpServerPort = 4048;

//-------------------------------------------------------------------------------------------
// Functions
//-------------------------------------------------------------------------------------------

void main()
{
  stdout.writeln('Starting HTTP server on address "$httpServerAddress" and port "$httpServerPort"');
  HttpServer.bind(httpServerAddress, httpServerPort).then((HttpServer server)
  {
    defaultRouter.routes(server);
  });
}
